/**
 * 日志过滤器.
 *
 * @author Y3G
 */
import { KonphGlobal } from "konph/src/types";
import { ChivyConfig } from "./config";
import Path from "./Path";
/**
 * 日志级别,
 *
 * @enum {number}
 */
export declare enum Level {
    DEBUG = 0,
    INFO = 1,
    WARN = 2,
    ERROR = 3,
    MUTE = 4,
    TEST = 9999
}
/**
 * 日志过滤器接口.
 *
 * @export
 * @interface IFilter
 */
export interface IFilter {
    /**
     * 过滤日志.
     *
     * 可以通过赋值Logger.injector.logFilter替换.
     *
     * @param {Level} level 日志级别
     * @param {Path} moduleName 模块名
     * @returns {boolean} 需要打印返回true, 否则返回false
     */
    exec(level: Level, moduleName: Path): boolean;
}
export default class Filter implements IFilter {
    level_: Level;
    modules_: Array<Path>;
    constructor(conf?: KonphGlobal<ChivyConfig>);
    exec(level: Level, moduleName: Path): boolean;
}
